Class | Numeric
In: | lib/sequel/extensions/blank.rb lib/sequel/extensions/sql_expr.rb
Parent: | Object

### Methods

blank? sql_expr

### Public Instance methods

blank?()

Numerics are never blank (not even 0)

[Source]

        # File lib/sequel/extensions/blank.rb, line 26
    26:   def blank?
    27:     false
    28:   end

sql_expr()

Returns a copy of the object wrapped in a Sequel::SQL::NumericExpression, allowing easy use of Sequel‘s DSL:

      1.sql_expr < :a  # 1 < a

[Source]

        # File lib/sequel/extensions/sql_expr.rb, line 74
    74:   def sql_expr
    75:     Sequel::SQL::NumericExpression.new(:NOOP, self)
    76:   end

[Validate]